"use strict";
const common_vendor = require("../../common/vendor.js");
const common_libraries_userUserLogin = require("../../common/libraries/userUserLogin.js");
const pages_index_method = require("./method.js");
const pages_index_model = require("./model.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../gen/Apis.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/apiLoading.js");
if (!Array) {
  const _easycom_cc_scroll_loading2 = common_vendor.resolveComponent("cc-scroll-loading");
  const _easycom_cc_root_view2 = common_vendor.resolveComponent("cc-root-view");
  (_easycom_cc_scroll_loading2 + _easycom_cc_root_view2)();
}
const _easycom_cc_scroll_loading = () => "../../common/components/cc-scroll-loading/cc-scroll-loading.js";
const _easycom_cc_root_view = () => "../../common/components/cc-root-view/cc-root-view.js";
if (!Math) {
  (MyHeaderTitle + MyShowData + MyClassIfication + MyToDeDone + _easycom_cc_scroll_loading + _easycom_cc_root_view)();
}
const MyClassIfication = () => "./components/Classification.js";
const MyHeaderTitle = () => "./components/HeaderTitle.js";
const MyShowData = () => "./components/ShowData.js";
const MyToDeDone = () => "./components/ToDeDone.js";
const _sfc_defineComponent = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onShow(async () => {
      var _a, _b, _c, _d, _e;
      await ((_a = common_vendor.getCurrentInstance()) == null ? void 0 : _a.appContext.config.globalProperties.$onLaunched);
      if ((_b = common_libraries_userUserLogin.getUser) == null ? void 0 : _b.getLoginStatus()) {
        pages_index_model.useModel.formData.value.page = 1;
        pages_index_model.useModel.listData.value = [];
        (_c = pages_index_method.method) == null ? void 0 : _c.getCountGridHouse();
        (_d = pages_index_method.method) == null ? void 0 : _d.getCompanyEmployeeBacklogs();
        (_e = pages_index_method.method) == null ? void 0 : _e.getIndexCount();
      } else {
        pages_index_model.useModel.userData.value = void 0;
        pages_index_model.useModel.listData.value = [];
        pages_index_model.useModel.metaData.value = { total: 0 };
      }
    });
    common_vendor.onShareAppMessage(() => {
      return {
        title: "",
        path: "/pages/index/index"
      };
    });
    common_vendor.onShareTimeline(() => {
      return {
        title: "",
        path: "/pages/index/index"
      };
    });
    return (_ctx, _cache) => {
      var _a, _b, _c;
      return {
        a: common_vendor.o((_a = common_vendor.unref(pages_index_method.method)) == null ? void 0 : _a.loadMore),
        b: common_vendor.p({
          meta: (_c = (_b = common_vendor.unref(pages_index_model.useModel)) == null ? void 0 : _b.metaData) == null ? void 0 : _c.value
        })
      };
    };
  }
});
_sfc_defineComponent.__runtimeHooks = 6;
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_defineComponent, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/pages/index/index.vue"]]);
wx.createPage(MiniProgramPage);
